#include <LiquidCrystal.h>
#include <OneWire.h>
#include <EEPROM.h>
#include <DallasTemperature.h>
#define ONE_WIRE_BUS 7
//byte t=0; 
//byte m=0;
int butPin = 1;            // вход кнопок
byte buzzer = 5;            // выход динамика
//int exitMenu = 1;          // выход из меню
byte butPush = 0;           // код нажатой кнопки
boolean butRel=1;              // нажата ли сейчас кнопка
int val;                   // знач. АЦП при нажатой кнопке
byte menu=0;                // текущий экран
int port1=18;               // порт на котором висит нагрузка
int pump1=19;
byte port1_stat=0;         // статус порта (включен/выключен
byte pump1_stat=0;
byte i;                    // счетчик
byte n;                    // счетчик
float T; 
float Tp;// переменная для хранения температуры
unsigned long timer=0;     // таймер 
unsigned long procStTime=0;// время начала текущего процесса
unsigned long StTime=0;    // время запуска программы
float T1=62;               // начальные значения температур и ...
float T2=63; 
float T3=74;
float T4=78;
float T5=100;
float T6=20;
float T7=75;
int P2=20; // ... пауз в минутах
int P3=30;
int P4=4;
int P5=80;
int P6=10;
int P7=2;
int butval[8]={0,510,820,855,685,880,0,0};   // АЦП кнопок
byte butsens=20;           // чувствительность кнопок
//int keyvalue=0;            // для хранения АЦП при калибровке
boolean keysound=0;        // включен ли звук кнопок
int process=0;             // номер текущего процесса
boolean running = false;   // состояние программы
LiquidCrystal lcd(10, 8, 12, 13, 14, 15); //инициализация LCD
OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);

